Subject: Offline Message from Mariam ibrahim: I have registry on the site . I received
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 24 Jul 2020 18:07:19 -0000

From: Mariam ibrahim <[email-masked]>
Phone: 
Location: Dubai, United Arab Emirates
URL: https://www.mumzworld.com/en/returns-policy/
Department: 

I have registry on the site . I received “ Little West Street - Snuggle Bunny Organic Diaper Clutch“ first is not clean!! With stains on it! Plus very bad quality! I need to exchange it so tell me the steps because i m not happy or satisfied with it at all!

----
Zopim
https://www.zopim.com